<?php

# --------------------------------------------
# chet Chemnitzer Thesaurus
# (C) 2002 Frank Hofmann, Chemnitz, Germany
# email fho@informatik.tu-chemnitz.de
# --------------------------------------------

# changed 2002-05-02

# create output page

# include ressource files
include ("source/header.php");
include ("source/footer.php");
include ("source/navigation.php");
include ("source/ct_definitionen.php");
include ("source/wn_interface.php");

# document header, headline
$Headline = Navigation_Table ("final_text", "headline");
Create_header_Ct ($Headline);

Ct_Navigation_Begin ("final_text");

# get all the information needed
# check the way we have been called
if($Input_Proceed==0) {
	# word by word
	# no update possible
} else {
	# whole passage
	# get all user inputs - > input_text variable

	# split incoming data into single words
	$Cache = Split_Text($Input_Text);
	$Number_Of_Words = WN_Count_Words($Cache, 1);
	$Number_Of_Items = sizeof($Cache);

	# update selected word

	for($i=0;$i<=$Counter_Selectform;$i++) {
		$Cache = WN_Update ($Cache, 1, $i, $Search_Result[$i]);
	} # end for

	$Number_Of_Words = WN_Count_Words($Cache, 1);
	$Number_Of_Items = sizeof($Cache);
	$Input_Text = Unsplit_Words ($Cache, 0, $Number_Of_Items);

} # end if

echo "<p>\n";
echo "Analyzed text:\n<br><br>\n";

$Cache = Split_Text($Input_Text);
reset ($Cache);
while (list($Frame_ID, $Current_Frame) = each($Cache)) {
	$Current_Type = $Current_Frame[0];
	$Current_Word = $Current_Frame[1];

	if ($Current_Word == "<em>") {
		echo "<em id=\"extra\">";
	} else {
		if ($Current_Word == "</em>") {
			echo "</em>";
		} else {
			$Output_Phrase = stripslashes (Substitute_Apostrophes ($Current_Word));
			echo "$Output_Phrase";
		} # end if
	} # end if
} # end while

# remove tags (tags for highlighting)
$Sended_Text = strip_tags (stripslashes($Input_Text));

echo "</p>\n";
echo "<hr width=\"100%\">\n";

echo "<form action=\"index.php\" method=\"post\">\n";
echo "<input type=\"submit\" value=\"Re-edit text\">\n";
echo "<input type=\"hidden\" name=\"Text_Reuse\" value=\"1\">\n";
echo "<input type=\"hidden\" name=\"Old_Text\" value=\"$Sended_Text\">\n";
echo "</form>\n";

echo "<hr width=\"100%\">\n";
echo "<form action=\"mail_confirm.php\" method=\"post\">\n";
echo "Enter your e-mail address here:\n<br><br>\n";
echo "<input name=\"Email_Address\">\n";
echo "<input type=\"hidden\" name=\"Old_Text\" value=\"$Sended_Text\">\n";

echo "<table cols=\"1\">\n";
echo "<tr><td>\n";
echo "<input type=\"reset\" value=\"Reset\">\n";
echo "</td><td>\n";

echo "<input type=\"submit\" value=\"Send Mail\">\n";
echo "</form>\n";
echo "</td></tr>\n";
echo "</table>\n";

Ct_Navigation_End ();

# document footer
Create_Footer_Ct ();
?>
