<?php

# --------------------------------------------
# chet Chemnitzer Thesaurus
# (C) 2002 Frank Hofmann, Chemnitz, Germany
# email fho@informatik.tu-chemnitz.de
# --------------------------------------------

# changed 2002-05-02

# create index page

# include ressource files
include ("source/header.php");
include ("source/footer.php");
include ("source/navigation.php");
include ("source/ct_definitionen.php");

# document header, headline
$Headline = Navigation_Table ("index", "headline");
Create_header_Ct ($Headline);

Ct_Navigation_Begin ("index");

# check whether we're called for the first time
if ($Text_Reuse == "1") {
	# yes, use the old text as new input
	$Show_Text = strip_tags(stripslashes($Old_Text));

} else {
	# no, offer an empty insert field
	$Show_Text = "";
} # end if

# echo "<b>$Text_Reuse:$Show_Text</b><br>";

# input / edit form

echo "<form action=\"analyse.php\" method=\"post\">\n";

echo "<p>\n";
echo "Enter your text here:\n<br>\n";
echo "<textarea COLS=\"50\" ROWS=\"10\" name=\"Input_Text\">$Show_Text</textarea>\n";
# echo "<input name=\"Input_Text\" value=\"$Show_Text\">\n";
echo "</p>\n<br>\n";

# select which way to proceed
echo "<p>\n";
echo "How to check the input text:&nbsp;\n";
echo "<select name=\"Input_Proceed\" size=\"1\">\n";

$Alternatives = array(
	"word by word",
	"the whole passage"
);

while (list($Key, $Alternative_Item) = each($Alternatives)) {
	echo "<option value=\"$Key\">$Alternative_Item\n";
} # end while

echo "</select>\n";

echo "</p>\n";
echo "<hr width=\"100%\">\n";

# buttons for user inter-action
echo "<table cols=\"2\">\n";
echo "<tr>\n<td>\n";
echo "<input type=\"reset\" value=\"Reset\">\n";
echo "</td><td>";
echo "<input type=\"submit\" value=\"Start\">\n";
echo "</td></tr>\n</table>";

# hidden call value
echo "<input type=\"hidden\" name=\"Call\" value=\"$Index_Page\">";

echo "</form>\n";

Ct_Navigation_End ();

# document footer
Create_Footer_Ct ();
?>
