<?php

# ---------------------------------------------
# chet Chemnitzer Thesaurus
# (C) 2002 Frank Hofmann, Chemnitz, Germany
# email fho@informatik.tu-chemnitz.de
# ---------------------------------------------

# updated 2002-08-22

# chet navigation file

	# include ressource file
	include ("source/tabelle.php");

function Navigation_Table ($Entry, $Keyword) {
	# returns table entry

	$ct_Navigation_Table = array(
		"index" => array(
			"text" => "Welcome",
			"index" => 0,
			"file" => "index.php",
			"headline" => "Welcome to CheT"
		),
		"analyse" => array(
			"text" => "Text analysis",
			"index" => 1,
			"file" => "", #"analyse.php",
			"headline" => "Text analysis"
		),
		"mail_confirm" => array(
			"text" => "Mail sent off",
			"index" => 3,
			"file" => "",
			"headline" => "Mail sent off"
		),
		"final_text" => array(
			"text" => "Analysis ended",
			"index" => 2,
			"file" => "",
			"headline" => "Analysis ended"
		),
		"release" => array(
			"text" => "",
			"index" => -1,
			"file" => "release.php",
			"headline" => "Chemnitzer Thesaurus - Release Information"
		)

	);

	return $ct_Navigation_Table[$Entry][$Keyword];
}

function Navigation ($Item_Selected) {

	$Navigation_Text = array(
		"",
		Navigation_Table ("index", "text"),
		Navigation_Table ("analyse", "text"),
		Navigation_Table ("final_text", "text"),
		Navigation_Table ("mail_confirm", "text")
	);

	$Navigation_Target = array(
		"",
		Navigation_Table ("index", "file"),
		Navigation_Table ("analyse", "file"),
		Navigation_Table ("final_text", "file"),
		Navigation_Table ("mail_confirm", "file")
	);

	# frame targets
	while(list($key,$item) = each($Navigation_Text)) {
		$Target[$key] = "";
	} # end while


	$Item_Selected++;

	# output table
	tabelle(sizeof($Navigation_Text) - 1 ,1, $Navigation_Text, $Navigation_Target, $Target, $Item_Selected, 1);

	# images
	echo "<center>\n";

	echo "<br>\n<hr>\n<br>\n";
	echo "<a href=\"dokumentation/Chapter1_1.html\" target=\"_new\">";
	echo "<img src=\"source/question.png\" border=\"0\" alt=\"Help and documentation\">";
	echo "<br><br>Help and documentation";
	echo "</a>\n";

	echo "<br><br>\n<hr>\n<br>\n";
	echo "<a href=\"release.php\">";
	echo "<img src=\"source/info.png\" border=\"0\" alt=\"Release Information\">";
	echo "<br><br>Release Information";
	echo "</a>\n";
	echo "<br><br>\n";

	echo "</center>";

	return;

}

function Ct_Navigation_Begin ($Section) {
	# outputs the beginning of the htc navigation table

	$Headline = Navigation_Table ($Section, "headline");
	$Index = Navigation_Table ($Section, "index");

	echo "<table cols=\"2\" width=\"100%\" bgcolor=\"#DDDDFF\" cellpadding=\"5\" cellspacing=\"0\" border=\"0\">\n";
	echo "<tr valign=\"top\"><td width=\"20%\" align=\"middle\">\n<b><font size=+1>CheT</font></b>\n</td>\n";
	echo "<td width=\"80%\">\n";
	# alignment is middle
	$Align_Begin = "<center>\n\n";

	# end of middle allignment
	$Align_End = "</center>\n\n";

	# text to be displayed
	echo $Align_Begin . "<b><font size=+1>$Headline</font></b><br>\n\n" . $Align_End;
	
	echo "</td></tr>\n";

	echo "<tr valign=\"top\"><td width=\"20%\">\n";
		# output navigation and highlight indexed element
		Navigation($Index);
	echo "</td>\n";

	echo "<td width=\"80%\" bgcolor=\"#FFFFFF\">\n";
	echo "<p>&nbsp;</p>\n";

	return;
}

function Ct_Navigation_End () {
	# outputs the end of the htc navigation table

	echo "</td></tr>\n";
	echo "</table>\n";

	return;
}

?>
